@section = (
	'encoding',
	'font',
	'background',
	'scrollbar',
	'others',
);
$section_attr = {
	encoding => {
		title => 'Encoding',
		key => [
			'encoding',
			'input_method',
			'use_ctl',
			'use_combining',
			'copy_paste_via_ucs',
			'use_ot_layout',
			'use_dynamic_comb',
			'use_multi_column_char',
		],
	},
	font => {
		title => 'Font',
		key => [
			'fontsize',
			'fg_color',
			'type_engine',
			'use_anti_alias',
			'use_variable_column_width',
			'vertical_mode',
			'line_space',
			'screen_width_ratio',
		],
	},
	background => {
		title => 'Background',
		key => [
			'bg_color',
			'wall_picture',
			'use_transbg',
			'brightness',
			'contrast',
			'gamma',
			'alpha',
			'fade_ratio',
		],
	},
	scrollbar => {
		title => 'Scrollbar',
		key => [
			'scrollbar_mode',
			'scrollbar_view_name',
			'sb_fg_color',
			'sb_bg_color',
			'none',
			'none',
			'none',
			'none',
		],
	},
	others => {
		title => 'Others',
		key => [
			'tabsize',
			'logsize',
			'mod_meta_mode',
			'bel_mode',
			'none',
			'none',
			'none',
			'none',
		],
	},
};
$key_attr = {
	encoding => {
		type => 'select:upper',
		default => 'auto',
		col => 0,
		title => 'Encoding',
		item => [
			'UTF8',
			'ISO88591',
			'ISO88592',
			'ISO88593',
			'ISO88594',
			'ISO88595',
			'ISO88596',
			'ISO88597',
			'ISO88598',
			'ISO88599',
			'ISO885910',
			'ISO885911',
			'ISO885913',
			'ISO885914',
			'ISO885915',
			'ISO885916',
			'TCVN5712',
			'ISCIIASSAMESE',
			'ISCIIBENGALI',
			'ISCIIGUJARATI',
			'ISCIIHINDI',
			'ISCIIKANNADA',
			'ISCIIMALAYALAM',
			'ISCIIORIYA',
			'ISCIIPUNJABI',
			'ISCIITELUGU',
			'VISCII',
			'KOI8R',
			'KOI8U',
			'KOI8T',
			'GEORGIANPS',
			'CP1250',
			'CP1251',
			'CP1252',
			'CP1253',
			'CP1254',
			'CP1255',
			'CP1256',
			'CP1257',
			'CP1258',
			'CP874',
			'EUCJP',
			'EUCJISX0213',
			'ISO2022JP',
			'ISO2022JP2',
			'ISO2022JP3',
			'SJIS',
			'SJISX0213',
			'EUCKR',
			'UHC',
			'JOHAB',
			'ISO2022KR',
			'BIG5',
			'EUCTW',
			'BIG5HKSCS',
			'EUCCN',
			'GBK',
			'GB18030',
			'HZ',
			'ISO2022CN',
		],
	},
	input_method => {
		type => 'text',
		default => '-',
		col => 0,
		title => 'Input method',
	},
	use_ctl => {
		type => 'checkbox',
		default => 'true',
		col => 0,
		title => 'Complex Text Layout',
	},
	use_combining => {
		type => 'checkbox',
		default => 'true',
		col => 0,
		title => 'Combining',
	},
	copy_paste_via_ucs => {
		type => 'checkbox',
		default => 'false',
		col => 0,
		title => 'Process received strings via Unicode',
	},
	use_ot_layout => {
		type => 'checkbox',
		default => 'false',
		col => 0,
		title => 'OpenType Layout',
	},
	use_dynamic_comb => {
		type => 'checkbox',
		default => 'false',
		col => 0,
		title => 'Combining = 1 (or 0) logical column(s)',
	},
	use_multi_column_char => {
		type => 'checkbox',
		default => 'true',
		col => 0,
		title => 'Fullwidth = 2 (or 1) logical column(s)',
	},
	fontsize => {
		type => 'text:digit',
		default => '16',
		col => 0,
		title => 'Font size (pixels)',
	},
	fg_color => {
		type => 'text:lower',
		default => 'black',
		col => 0,
		title => 'Foreground color',
	},
	type_engine => {
		type => 'text:lower',
		default => 'left',
		col => 0,
		title => 'Type engine(xcore,xft,cairo)',
	},
	use_anti_alias => {
		type => 'checkbox',
		default => 'false',
		col => 0,
		title => 'Anti Alias',
	},
	use_variable_column_width => {
		type => 'checkbox',
		default => 'false',
		col => 1,
		title => 'Variable column width',
	},
	vertical_mode => {
		type => 'radio:lower',
		default => 'none',
		col => 0,
		title => 'Vertical mode',
		item => [
			'none',
			'cjk',
			'mongol',
		],
	},
	line_space => {
		type => 'text:digit',
		default => '0',
		col => 0,
		title => 'Line space (pixels)',
	},
	screen_width_ratio => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Screen size ration againt font size',
	},
	bg_color => {
		type => 'text:lower',
		default => 'white',
		col => 0,
		title => 'Background color',
	},
	wall_picture => {
		type => 'text',
		default => 'none',
		col => 0,
		title => 'Wall picture',
	},
	use_transbg => {
		type => 'checkbox',
		default => 'false',
		col => 0,
		title => 'Pseudo Transparent',
	},
	brightness => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Brightness',
	},
	contrast => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Contrast',
	},
	gamma => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Gamma',
	},
	alpha => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Alpha',
	},
	fade_ratio => {
		type => 'text:digit',
		default => '100',
		col => 0,
		title => 'Fade ratio on unfocus',
	},
	scrollbar_mode => {
		type => 'radio:lower',
		default => 'left',
		col => 0,
		title => 'Position',
		item => [
			'none',
			'left',
			'right',
		],
	},
	scrollbar_view_name => {
		type => 'text',
		default => 'simple',
		col => 0,
		title => 'View',
	},
	sb_fg_color => {
		type => 'text:lower',
		default => 'black',
		col => 0,
		title => 'Foreground color',
	},
	sb_bg_color => {
		type => 'text:lower',
		default => 'white',
		col => 0,
		title => 'Background color',
	},
	none => {
		type => 'none',
		default => '-',
		col => 0,
		title => '&nbsp;',
	},
	none => {
		type => 'none',
		default => '-',
		col => 0,
		title => '&nbsp;',
	},
	none => {
		type => 'none',
		default => '-',
		col => 0,
		title => '&nbsp;',
	},
	none => {
		type => 'none',
		default => '-',
		col => 0,
		title => '&nbsp;',
	},
	tabsize => {
		type => 'text:digit',
		default => '8',
		col => 0,
		title => 'Tab width (columns)',
	},
	logsize => {
		type => 'text:digit',
		default => '128',
		col => 0,
		title => 'Backlog size (lines)',
	},
	mod_meta_mode => {
		type => 'radio:lower',
		default => 'none',
		col => 0,
		title => 'Meta key outputs',
		item => [
			'none',
			'esc',
			'8bit',
		],
	},
	bel_mode => {
		type => 'radio:lower',
		default => 'sound',
		col => 0,
		title => 'Bell mode',
		item => [
			'none',
			'sound',
			'visual',
		],
	},
	none => {
		type => 'none',
		default => '-',
		col => 0,
		title => '&nbsp;',
	},
	none => {
		type => 'none',
		default => '-',
		col => 0,
		title => '&nbsp;',
	},
	none => {
		type => 'none',
		default => '-',
		col => 0,
		title => '&nbsp;',
	},
	none => {
		type => 'none',
		default => '-',
		col => 0,
		title => '&nbsp;',
	},
};
$item_attr = {
	encoding => {
		'UTF8' => 'UTF-8',
		'ISO88591' => 'ISO-8859-1',
		'ISO88592' => 'ISO-8859-2',
		'ISO88593' => 'ISO-8859-3',
		'ISO88594' => 'ISO-8859-4',
		'ISO88595' => 'ISO-8859-5',
		'ISO88596' => 'ISO-8859-6',
		'ISO88597' => 'ISO-8859-7',
		'ISO88598' => 'ISO-8859-8',
		'ISO88599' => 'ISO-8859-9',
		'ISO885910' => 'ISO-8859-10',
		'ISO885911' => 'ISO-8859-11(TIS-620)',
		'ISO885913' => 'ISO-8859-13',
		'ISO885914' => 'ISO-8859-14',
		'ISO885915' => 'ISO-8859-15',
		'ISO885916' => 'ISO-8859-16',
		'TCVN5712' => 'TCVN5712',
		'ISCIIASSAMESE' => 'ISCII-ASSAMESE',
		'ISCIIBENGALI' => 'ISCII-BENGALI',
		'ISCIIGUJARATI' => 'ISCII-GUJARATI',
		'ISCIIHINDI' => 'ISCII-HINDI',
		'ISCIIKANNADA' => 'ISCII-KANNADA',
		'ISCIIMALAYALAM' => 'ISCII-MALAYALAM',
		'ISCIIORIYA' => 'ISCII-ORIYA',
		'ISCIIPUNJABI' => 'ISCII-PUNJABI',
		'ISCIITELUGU' => 'ISCII-TELUGU',
		'VISCII' => 'VISCII',
		'KOI8R' => 'KOI8-R',
		'KOI8U' => 'KOI8-U',
		'KOI8T' => 'KOI8-T',
		'GEORGIANPS' => 'GEORGIAN-PS',
		'CP1250' => 'CP1250',
		'CP1251' => 'CP1251',
		'CP1252' => 'CP1252',
		'CP1253' => 'CP1253',
		'CP1254' => 'CP1254',
		'CP1255' => 'CP1255',
		'CP1256' => 'CP1256',
		'CP1257' => 'CP1257',
		'CP1258' => 'CP1258',
		'CP874' => 'CP874',
		'EUCJP' => 'EUC-JP',
		'EUCJISX0213' => 'EUC-JISX0213',
		'ISO2022JP' => 'ISO-2022-JP',
		'ISO2022JP2' => 'ISO-2022-JP-2',
		'ISO2022JP3' => 'ISO-2022-JP-3',
		'SJIS' => 'Shift_JIS',
		'SJISX0213' => 'Shift_JISX0213',
		'EUCKR' => 'EUC-KR',
		'UHC' => 'UHC',
		'JOHAB' => 'JOHAB',
		'ISO2022KR' => 'ISO-2022-KR',
		'BIG5' => 'BIG5',
		'EUCTW' => 'EUC-TW',
		'BIG5HKSCS' => 'BIG5HKSCS',
		'EUCCN' => 'EUC-CN',
		'GBK' => 'GBK',
		'GB18030' => 'GB18030',
		'HZ' => 'HZ',
		'ISO2022CN' => 'ISO-2022-CN',
	},
	vertical_mode => {
		'none' => 'None',
		'cjk' => 'CJK',
		'mongol' => 'Mongol',
	},
	scrollbar_mode => {
		'none' => 'None',
		'left' => 'Left',
		'right' => 'Right',
	},
	mod_meta_mode => {
		'none' => 'None',
		'esc' => 'Esc',
		'8bit' => '8bit',
	},
	bel_mode => {
		'none' => 'None',
		'sound' => 'Sound',
		'visual' => 'Visual',
	},
};
